/*							*/
/*   Licensed Materials - Property of IBM               */
/*							*/
/*   5765-530            				*/
/*   (C) Copyright IBM Corp. 1996 All Rights Reserved.	*/
/*							*/

/******************************************************************************
*	Functions	: Header file for codepage conversion
*
*****************************************************************************/

#define CONVTABLE	iconv_t

#define CONVTABLE_OPEN( from, to, res) \
	{					\
		res = iconv_open( to, from);	\
	}
		

#define CONVERT( a, b, c, d, e)		iconv( a, b, c, d, e)

#define	ERROR		-1
#define	OK		0

#define LOC_CONV	1
#define ISO_CONV	2
#define CANNOT_CONV	3

#define ARABIC 		0
#define CYRILLIC	1 
#define EUROPE 		2
#define GREEK		3 
#define HEBREW		4 
#define JAPANESE	5 
#define KOREAN		6 
#define TAIWANESE	7 
#define TURKISH		8 

struct	open_table {
	char		name[15];
	CONVTABLE	send;
	CONVTABLE	recv;
	};

struct	open_table_list {
	struct	open_table	table;
	struct	open_table_list	*next;
	};

struct	connection {
	int			socket;
	struct	open_table	*convtab;
	};

struct	connection_list {
	struct	connection	conn;
	struct	connection_list	*next;
	};
