/*							*/
/*   Licensed Materials - Property of IBM               */
/*							*/
/*   5765-530            				*/
/*   (C) Copyright IBM Corp. 1996 All Rights Reserved.	*/
/*							*/

/* magic number for identifying watchdog versions */
#define MAGIC_V1        0x56310a00L     /* the string 'V1' */
#define MAGIC_V2        2L		/* no fancy codes this time */
#define WD_PROT_VER	MAGIC_V2

#define DHU_CMD		"/etc/dhu_cmd"

#define INIT 1
#define REFRESH 2

#define SQL 0
#define OS 1

/* Filter types */
#define LE 6			/* less or equal */
#define LT 5			/* less */
#define GE 4			/* greater or equal */
#define GT 3			/* greater */
#define EQ 2			/* equal */
#define NE 1			/* not equal */

#define AT 1
#define EVERY 2

struct	dbs_time_check_t { 
	int			magic;	/* for identifying struct */
	struct  dbs_check_t	ch;
	struct	dbs_time_t	ti;
	char			dbname[20];
	};

struct	dbs_time_table_t {
	int				magic;	/* for identifying struct */
	long				clock;
	int				deleted;
	struct  dbs_time_check_t	*check;
	struct  dbs_time_table_t	*next;
	};
	
